package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability585/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkSeriesSortRequest struct {
	/*
	   自定义排序请求     */
	Sort *domain.AlibabaWdkSeriesSortSeriesSortRequest `json:"sort,omitempty" required:"false" `
}

func (s *AlibabaWdkSeriesSortRequest) SetSort(v domain.AlibabaWdkSeriesSortSeriesSortRequest) *AlibabaWdkSeriesSortRequest {
	s.Sort = &v
	return s
}

func (req *AlibabaWdkSeriesSortRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Sort != nil {
		paramMap["sort"] = util.ConvertStruct(*req.Sort)
	}
	return paramMap
}

func (req *AlibabaWdkSeriesSortRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
